Transaction Report
A transaction report can be obtained from the system in three ways:
- Using the Transaction Report API
- On the Transaction Report page in the Console
- By exporting from the Order List page in the Console
Output Format
CSV– Comma Separated Values formatCSV_UNDERSCORE– Comma Separated Values format with column name with ’_’ (underscore symbol)- See RFC at https://tools.ietf.org/html/rfc4180
- When formatting, rows are enclosed in double quotes.
- A double quote inside a string is output as two double quotes in a row.
- There are no other rules for escaping characters
- Numbers are output without quotes
- Values are separated by a delimiter character, which is , by default
- Rows are separated using the Unix line feed (LF)
JSON_EACH_ROW– Outputs each row as a separated, newline-delimited JSON ObjectPRETTY_JSON_EACH_ROW– Differs from JSON_EACH_ROW only in that JSON is pretty formatted with new line delimiters and 2 space indentsJSON– Outputs data in JSON format. Note that the output json could be more than 1GB so your parser can throw an out of memory exception. Prefer use ofJSON_EACH_ROW.
How to fetch transaction report via API
curl --request POST \ --url https://SERVER_NAME/api/report/transaction/$USER_NAME \ --header "Authorization: Bearer $USER_TOKEN" \ --header 'Content-Type: application/json' \ --data '{ "reportFormat" : "JSON", "periodFrom" : "2025-04-01 12:55:54", "periodTo" : "2025-04-02 12:55:54"}'Please replace $USER_NAME and $USER_TOKEN with your credentials.
For more info please visit Transaction Report API
Fields
The availability of Transaction Report Fields varies depending on the source of the exported response.
Additionally, some fields may be unavailable to the user.
| # | Field Name | Field Type | API and UI Transaction Report | UI Order List | Permissions | Description | Example |
|---|---|---|---|---|---|---|---|
| 1 | bankTerminalBillingDescriptor | String | + | + | If user has access to this field | A billing descriptor refers to how a company’s name appears on a credit card statement | Company name |
| 2 | bankTerminalId | Long | + | + | If user has access to this field | Bank Terminal ID in the system | 1234 |
| 3 | bankTerminalName | String | + | + | If user has access to this field | Bank Terminal Name | Company |
| 4 | browserIpAddress | String | + | + | |||
| 5 | captureAmount | String | + | + | Capture Amount. The amount has to be specified in the highest units with . delimiter. For instance, 10.5 for USD means 10 US Dollars and 50 Cents | 10.5 | |
| 6 | cardBankName | String | + | + | |||
| 7 | cardCountryCode | String | + | + | Card country ISO 3166-1 alpha-2 code. See https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2 | US | |
| 8 | cardCountryName | String | + | + | Card country name | United States of America | |
| 9 | cardExpiry | String | + | + | Card expiration date. Format yyyyMM | 202304 | |
| 10 | cardHolderName | String | + | + | Cardholder name | MR JOHN | |
| 11 | cardNumber | String | + | + | Formatted card number | 444455**** **** 1111 | |
| 12 | cardReceiverBankName | String | + | + | |||
| 13 | cardReceiverCountryCode | String | + | + | Receiver’s card country ISO 3166-1 alpha-2 code. See https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2 | US | |
| 14 | cardReceiverCountryName | String | + | + | Receiver’s country name | United States of America | |
| 15 | cardReceiverExpiry | String | + | + | Receiver’s card expiration date. Format yyyyMM | 202304 | |
| 16 | cardReceiverNumber | String | + | + | Formatted receiver’s card number | 444455**** **** 1111 | |
| 17 | cardReceiverType | String | - | + | Receiver’s Card Type | VISA | |
| 18 | cardType | String | + | + | Card Type | VISA | |
| 19 | createdBankTimestamp | String | + | + | Acquirer reconciliation date and time in the system. Format is YYYY-MM-dd HH:mm:ss | 2023-12-21 12:55:54 | |
| 20 | createdSystemDate | String | + | + | Transaction created date in the system. Format is YYYY-MM-dd | 2023-12-21 | |
| 21 | createdSystemTimestamp | String | + | + | Transaction created date and time in the system. Format is YYYY-MM-dd HH:mm:ss | 2023-12-21 12:55:54 | |
| 22 | customerAddressCity | String | + | - | |||
| 23 | customerAddressCountryName | String | + | - | |||
| 24 | customerAddressLine1 | String | + | - | |||
| 25 | customerAddressStateName | String | + | - | |||
| 26 | customerAddressZipCode | String | + | - | |||
| 27 | customerEmail | String | + | + | |||
| 28 | errorCode | Integer | + | + | The error code is case status in declined, error, filtered | 1234 | |
| 29 | errorMessage | String | + | + | If status in declined, error, filtered this parameter contains the reason for decline | Do not honor | |
| 30 | firstname | String | + | + | First name | John | |
| 31 | lastname | String | + | + | Last name | Doe | |
| 32 | managerId | Long | + | + | If user has access to this field | Manager Identifier | 1234 |
| 33 | managerName | String | + | + | If user has access to this field | Manager Name | manager1 |
| 34 | merchantName | String | + | + | If user has access to this field | Merchant name | Merchant 1 |
| 35 | orderDescription | String | + | + | Order description | Description 1 | |
| 36 | orderMerchantId | String | + | + | Merchant Order ID | 02618145-2e65-46ac-a08f-00bda7acad27 | |
| 37 | orderProviderId | String | + | + | Provider Order ID | 4150-889f-7df52fdcf441 | |
| 38 | orderSystemId | Long | + | + | System Order ID | 12121212 | |
| 39 | outcomeCaptureAmount | String | + | - | If user has access to this field | Capture amount in currency for processing | 10.00 |
| 40 | outcomeFee | String | + | - | If user has access to this field | Fee in currency for processing | 10.00 |
| 41 | outcomeRateCurrency | String | + | - | If user has access to this field | Currency rate for processing | USD |
| 42 | outcomeReversalAmount | String | + | - | If user has access to this field | Reversal amount in currency for processing | 10.00 |
| 43 | outcomeTransactionAmount | String | + | - | If user has access to this field | Amount in currency for processing | 10.00 |
| 44 | outcomeTransactionCurrency | String | + | - | If user has access to this field | Currency for processing | USD |
| 45 | providerCommission | String | + | + | If user has access to this field | Provider Commission | 10.00 |
| 46 | providerCurrencyRate | String | + | - | If user has access to this field | Provider currency rate | 10.00 |
| 47 | providerId | Long | + | + | If user has access to this field | Provider ID in the system | 12 |
| 48 | providerName | String | + | + | If user has access to this field | Provider Name | Acquirer 2 |
| 49 | requestorId | Long | + | + | If user has access to this field | Requestor ID | 123 |
| 50 | reversalAmount | String | + | + | Reversal Amount. The amount has to be specified in the highest units with . delimiter. For instance, 10.5 for USD means 10 US Dollars and 50 Cents | 10.5 | |
| 51 | transactionAmount | String | + | + | Transaction Amount. The amount has to be specified in the highest units with . delimiter. For instance, 10.5 for USD means 10 US Dollars and 50 Cents | 10.5 | |
| 52 | transactionArn | String | + | + | |||
| 53 | transactionCommission | String | + | + | Transaction CommissionThe amount has to be specified in the highest units with . delimiter. For instance, 10.5 for USD means 10 US Dollars and 50 Cents | 10.5 | |
| 54 | transactionCurrencyCode | String | + | + | Currency the transaction is charged in (three-letter currency code). Sample values are: USD for US Dollar, EUR for European Euro | USD | |
| 55 | transactionRrn | String | + | + | |||
| 56 | transactionStatus | TransactionStatus | + | + | Transaction status * APPROVED – Approved* DECLINED – Declined* FILTERED – Filtered* ORDER_PROCESSING – No any transaction yet. Order is in processing state. Only if exported from Order List* ORDER_UNKNOWN – No any transaction yet. Order is in unknown state. Only if exported from Order List* ORDER_ERROR – No any transaction yet. Order has an error. Only if exported from Order List | APPROVED | |
| 57 | transactionSystemId | Long | + | + | System Transaction ID (not order id) | 12121212 | |
| 58 | transactionType | TransactionType | + | + | Transaction type (sale, capture, reversal, etc) | sale | |
| 59 | merchantId | Long | + | + | If user has access to this field | Unique merchant Identifier in the system | 123 |
| 60 | cardPaymentNetworkProductCode | String | + | + | Card payment network product code | TPL | |
| 61 | cardPaymentNetworkProductName | String | + | + | Card payment network product name | TCC—Mastercard Consumer—Immediate Debit | |
| 62 | cardPaymentNetworkTypeCode | String | + | + | Card payment network type code | Debit | |
| 63 | cardPaymentNetworkTypeName | String | + | + | Card payment network type name | MASTERCARD Debit | |
| 64 | cardReceiverPaymentNetworkProductCode | String | + | + | Receiver card payment network product code | F | |
| 65 | cardReceiverPaymentNetworkProductName | String | + | + | Receiver card payment network product name | Visa Classic | |
| 66 | cardReceiverPaymentNetworkTypeCode | String | + | + | Receiver card payment network type code | Debit | |
| 67 | cardReceiverPaymentNetworkTypeName | String | + | + | Receiver card payment network type name | VISA Debit | |
| 68 | requestorName | String | + | + | If user has access to this field | Requestor Name | Requestor 1 |
| 69 | providerTerminalIdentifier | String | + | + | If user has access to this field | Provider Terminal Identifier (TID) | 00012345 |
| 70 | createdSystemInitialTimestamp | String | + | + | Initial transaction created date and time in the system. Format is YYYY-MM-dd HH:mm:ss.For example, this field hold auth transaction created date for capture | 2023-12-21 12:55:54 | |
| 71 | orderCreatedSystemTimestamp | String | + | + | Order created date. Format is YYYY-MM-dd HH:mm:ss. | 2023-12-21 12:55:54 | |
| 72 | orderChangedSystemTimestamp | String | + | + | Order status changed date. Format is YYYY-MM-dd HH:mm:ss. | 2023-12-21 12:55:54 | |
| 73 | channelId | Long | + | + | If user has access to this field | Channel ID in the system. | 1234 |
| 74 | channelName | String | + | + | If user has access to this field | Channel Name for provider payments | East west payments |
| 75 | transactionChannelId | Long | + | + | If user has access to this field | Channel ID in the transaction. | 1234 |
| 76 | transactionChannelName | String | + | + | If user has access to this field | Channel Name for transaction | East west payments |
| 77 | transactionProviderId | Long | + | + | If user has access to this field | Provider ID in transaction | 12 |
| 78 | transactionProviderName | String | + | + | If user has access to this field | Provider Name in transaction | Acquirer 2 |
| 79 | channelLegalEntity | String | + | - | If user has access to this field | Channel is legal entity. | Y |
| 80 | payerIban | String | + | - | Payer iban number | CS00TG2233440055066366 | |
| 81 | fenigeTokenUuid | String | + | - | If user has access to this field | Fenige token uuid | |
| 82 | fenigeMerchantUuid | String | + | - | If user has access to this field | Fenige merchant token uuid | |
| 83 | geographicScope | String | + | - | If user has access to this field | Geographic scope | |
| 84 | sourceUrl | String | + | - | Source url | www.google.com/paymentUrl/0199136382297327 | |
| 85 | sourceRef | String | + | - | Source ref | www.google.com/reference/0199136382297327 | |
| 86 | blueprintId | Long | + | + | If user has access to this field | Blueprint ID in transaction | 99 |
| 87 | blueprintName | String | + | + | If user has access to this field | Blueprint Name in transaction | Some blueprint 2 |
| 88 | receiverFirstName | String | + | + | Receiver first name | John | |
| 89 | receiverLastName | String | + | + | Receiver last name | Doe | |
| 90 | cardGlobalWhitelistStatus | String | - | - | If user has access to this field | Card global whitelist status * SOURCE – Only the source card is whitelisted.* DESTINATION – Only the destination card is whitelisted.* BOTH – Both cards (source and destination) are whitelisted.* NONE – Neither card is in the whitelist. | SOURCE |
| 91 | bankTerminalExternalWhitelistCheckStatus | String | - | - | If user has access to this field | Bank Terminal external whitelist check status * SOURCE – Whitelist validation is enabled only for the source card.* DESTINATION – Whitelist validation is enabled only for the destination card.* BOTH – Whitelist validation is enabled for both cards (source and destination).* NONE – Whitelist validation is disabled for both cards (source and destination). | SOURCE |
| 92 | providerExternalWhitelistCheckStatus | String | - | - | If user has access to this field | Provider external whitelist check status * SOURCE – Whitelist validation is enabled only for the source card.* DESTINATION – Whitelist validation is enabled only for the destination card.* BOTH – Whitelist validation is enabled for both cards (source and destination).* NONE – Whitelist validation is disabled for both cards (source and destination). | SOURCE |